package org.apache.commons.lang3.time;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.util.Calendar;
import java.util.Iterator;
import java.util.NoSuchElementException;
import org.apache.commons.lang3.time.DateUtils;

class DateIterator implements Iterator<Calendar> {
  private final Calendar endFinal;
  
  private final Calendar spot;
  
  DateIterator(Calendar startFinal, Calendar endFinal) {
    this.endFinal = endFinal;
    this.spot = startFinal;
    this.spot.add(5, -1);
  }
  
  public boolean hasNext() {
    return this.spot.before(this.endFinal);
  }
  
  public Calendar next() {
    if (this.spot.equals(this.endFinal))
      throw new NoSuchElementException(); 
    this.spot.add(5, 1);
    return (Calendar)this.spot.clone();
  }
  
  public void remove() {
    throw new UnsupportedOperationException();
  }
}
